[algosdk](../README.md) / [Exports](../modules.md) / ABIInterfaceParams

# Interface: ABIInterfaceParams

## Table of contents

### Properties

- [desc](ABIInterfaceParams.md#desc)
- [methods](ABIInterfaceParams.md#methods)
- [name](ABIInterfaceParams.md#name)

## Properties

### desc

• `Optional` **desc**: `string`

#### Defined in

abi/interface.ts:5

___

### methods

• **methods**: [`ABIMethodParams`](ABIMethodParams.md)[]

#### Defined in

abi/interface.ts:6

___

### name

• **name**: `string`

#### Defined in

abi/interface.ts:4
